Subject: Re: [PATCH v2] t4200-rerere.sh: use test_path_is_* functions in the script

From: Danh Doan <[email-masked]>
Date: Thu, 9 Apr 2020 22:21:34 +0700

On 2020-04-09 14:54:21+0000, Allo via GitGitGadget <[email-masked]> wrote:
> From: Angel Pan <[email-masked]>
> 
> Subject: t4200-rerere.sh: use test_path_is_* functions in the script

"in the script" looks too verbose to me. Because the script has been
mentioned earlier.

> The original code works fine. However, since the code base has already had help-functions(in test-lib-functions),

We wrap lines at 72 characters per line.
And, missing space before open parenthese.

I'm not good at wording, but I think this commit message is too
verbose. I would say something like:

	Prefer "test_path_is_dir" to "test -d" and test_path_is_file
	to "test -f" because they're more friendly to debug.

That's not a good message, either. But, it's some what simpler and
cleaner.

> the change is able to help people understand the code better, as well as improve debug-friendliness.
> 
> * t4200-rerere.sh: replace "test -d" with "test_path_is_dir"
> * t4200-rerere.sh: replace "test -f" with "test_path_is_file"
> 

-- 
Danh